# QWizard Class Reference

### [com.trolltech.qt.gui package]

Inherits QDialog.

### Constructor

- void QWizard(QWidget parent, WindowFlags flags)

### Constructor Properties

- prototype: The QWizard prototype object
- NoButton = -1
- BackButton
- NextButton
- CommitButton
- FinishButton
- CancelButton
- HelpButton
- CustomButton1
- CustomButton2
- CustomButton3
- Stretch
- WizardButton( value )
- ClassicStyle
- ModernStyle
- MacStyle
- AeroStyle
- NStyles
- WizardStyle( value )
- WatermarkPixmap
- LogoPixmap
- BannerPixmap
- BackgroundPixmap
- NPixmaps
- WizardPixmap( value )
- IndependentPages = 0x00000001
- IgnoreSubTitles = 0x00000002
- ExtendedWatermarkPixmap = 0x00000004
- NoDefaultButton = 0x00000008
- NoBackButtonOnStartPage = 0x00000010
- NoBackButtonOnLastPage = 0x00000020
- DisabledBackButtonOnLastPage = 0x00000040
- HaveNextButtonOnLastPage = 0x00000080
- HaveFinishButtonOnEarlyPages = 0x00000100
- NoCancelButton = 0x00000200
- CancelButtonOnLeft = 0x00000400
- HaveHelpButton = 0x00000800
- HelpButtonOnRight = 0x00001000
- HaveCustomButton1 = 0x00002000
- HaveCustomButton2 = 0x00004000
- HaveCustomButton3 = 0x00008000
- WizardOption( value )
- WizardOptions( value1, value2, ... )

### Prototype Object Properties

The QWizard prototype object inherits properties from the QDialog prototype object and also has the following properties.

- int addPage(QWizardPage page)
- QAbstractButton button(WizardButton which)
- String buttonText(WizardButton which)
- QWizardPage currentPage()
- Object field(String name)
- bool hasVisitedPage(int id)
- int nextId()
- QWizardPage page(int id)
- List pageIds()
- QPixmap pixmap(WizardPixmap which)
- void removePage(int id)
- void setButton(WizardButton which, QAbstractButton button)
- void setButtonLayout(List layout)
- void setButtonText(WizardButton which, String text)
- void setField(String name, Object value)
- void setOption(WizardOption option, bool on)
- void setPage(int id, QWizardPage page)
- void setPixmap(WizardPixmap which, QPixmap pixmap)
- void setSideWidget(QWidget widget)
- QWidget sideWidget()
- bool testOption(WizardOption option)
- bool validateCurrentPage()
- List visitedPages()

### Instance Properties

QWizard objects inherit properties from the QWizard prototype object and also have the following properties.

- wizardStyle
- options
- titleFormat
- subTitleFormat
- startId
- currentId